Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage Class Reference

An IArchiveStorage implementation suitable for hard disks. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage:
[legend]

## Public Member Functions
| DiskArchiveStorage (ZipFile file, FileUpdateMode updateMode)
| Initializes a new instance of the DiskArchiveStorage class.
| DiskArchiveStorage (ZipFile file)
| Initializes a new instance of the DiskArchiveStorage class.
override Stream | GetTemporaryOutput ()
| Gets a temporary output Stream for performing updates on.
override Stream | ConvertTemporaryToFinal ()
| Converts a temporary Stream to its final form.
override Stream | MakeTemporaryCopy (Stream stream)
| Make a temporary copy of a stream.
override Stream | OpenForDirectUpdate (Stream stream)
| Return a stream suitable for performing direct updates on the original source.
override void | Dispose ()
| Disposes this instance.
Public Member Functions inherited from ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage
Stream | GetTemporaryOutput ()
| Gets a temporary output Stream
Stream | ConvertTemporaryToFinal ()
| Converts the temporary Stream to its final form.
Stream | MakeTemporaryCopy (Stream stream)
| Make a temporary copy of a Stream.
Stream | OpenForDirectUpdate (Stream stream)
| Return a stream suitable for performing direct updates on the original source.
void | Dispose ()
| Disposes this instance.

## Static Private Member Functions
static string | GetTempFileName (string original, bool makeTempFile)

## Private Attributes
Stream | temporaryStream_
string | fileName_
string | temporaryName_

## Additional Inherited Members
Protected Member Functions inherited from ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage
| BaseArchiveStorage (FileUpdateMode updateMode)
| Initializes a new instance of the BaseArchiveStorage class.
Properties inherited from ICSharpCode.SharpZipLib.Zip.BaseArchiveStorage
FileUpdateMode | UpdateMode`[get]`
| Gets the update mode applicable.

## Detailed Description

An IArchiveStorage implementation suitable for hard disks.

## Constructor & Destructor Documentation

## ◆ DiskArchiveStorage() [1/2]

ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.DiskArchiveStorage | ( | ZipFile | file,
|  | FileUpdateMode | updateMode )

Initializes a new instance of the DiskArchiveStorage class.

Parameters

  file | The file.
  updateMode | The update mode.

## ◆ DiskArchiveStorage() [2/2]

ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.DiskArchiveStorage | ( | ZipFile | file | ) |

Initializes a new instance of the DiskArchiveStorage class.

Parameters

  file | The file.

## Member Function Documentation

## ◆ ConvertTemporaryToFinal()

override Stream ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.ConvertTemporaryToFinal | ( |  | ) |

Converts a temporary Stream to its final form.

Returns
  Returns a Stream that can be used to read the final storage for the archive.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

Here is the call graph for this function:

## ◆ Dispose()

override void ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.Dispose | ( |  | ) |

Disposes this instance.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## ◆ GetTempFileName()

string ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.GetTempFileName | ( | string | original,
|  | bool | makeTempFile )
| static private

Here is the caller graph for this function:

## ◆ GetTemporaryOutput()

override Stream ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.GetTemporaryOutput | ( |  | ) |

Gets a temporary output Stream for performing updates on.

Returns
  Returns the temporary output stream.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

Here is the call graph for this function:

## ◆ MakeTemporaryCopy()

override Stream ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.MakeTemporaryCopy | ( | Stream | stream | ) |

Make a temporary copy of a stream.

Parameters

  stream | The Stream to copy.

Returns
  Returns a temporary output Stream that is a copy of the input.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

Here is the call graph for this function:

## ◆ OpenForDirectUpdate()

override Stream ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.OpenForDirectUpdate | ( | Stream | stream | ) |

Return a stream suitable for performing direct updates on the original source.

Parameters

  stream | The current stream.

Returns
  Returns a stream suitable for direct updating.

If the stream stream is not null this is used as is.

Implements ICSharpCode.SharpZipLib.Zip.IArchiveStorage.

## Member Data Documentation

## ◆ fileName_

string ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.fileName_
| private

## ◆ temporaryName_

string ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.temporaryName_
| private

## ◆ temporaryStream_

Stream ICSharpCode.SharpZipLib.Zip.DiskArchiveStorage.temporaryStream_
| private

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs